﻿using System;
using System.Text;

namespace Sat2Ip.Library
{
    internal class Utils
    {
        #region Converters

        public static string BytesToString(byte[] revBuffer, int revBytesCount)
        {
            var s = string.Empty;
            s = Encoding.Default.GetString(revBuffer, 0, revBytesCount);
            return s;
        }

        public static byte[] StringToBytes(string request)
        {
            byte[] bytes = null;
            bytes = Encoding.Default.GetBytes(request);
            return bytes;
        }

        public static long BytesToLong(byte[] bytesPosition)
        {
            long number = 0;
            byte[] temp = new byte[8];
            bytesPosition.CopyTo(temp, 0);
            number = BitConverter.ToInt64(temp, 0);
            return number;
        }

        public static int BytesToInteger(byte[] bytesFrameSize)
        {
            int number = 0;
            byte[] temp = new byte[4];
            bytesFrameSize.CopyTo(temp, 0);
            number = BitConverter.ToInt32(temp, 0);
            return number;
        }

        #endregion
    }
}